enum E{
	a,b,c;
}

public class EMethodTest {
	static void print(Object s){
		System.out.println(s);
	}
	public static void main(String[] args){
		for(E e: E.values()){//遍历
			print(e);
		}

		/*枚举值的名字是字符串，而枚举值只是一个常量，不涉及类型*/
		print("\n"+E.valueOf("a"));
		
		//通过使用枚举改进了分支
		switch(E.b){
			case a://这里不能写成 case E.a
				print("Hello a");
				break;
			case b:
				print("Hello b");
				break;
			case c:
				print("Hello");
				break;
			default:
		}
	}
}
